;authorization types - currently supported is  "ip", "login" and "both" methods
auth=both

;ip authorization failure redirect URL
authfailredir="https://ubilling.net.ua/"

;Default language, available values: ukrainian,russian,english,belarusian,bulgarian,georgian,hungarian,romanian,spanish
lang = ukrainian

;allow user language change?
allowclang=1

;currency
currency=UAH

;default skin name
SKIN="paper"

;Custom background. DEFAULT or existing filename from tiles folder (tile1.jpg for example). May be RANDOM too.
BACKGROUND="DEFAULT"

;ISP name
ISP_NAME="OurISP"
;ISP site url
ISP_URL="https://ubilling.net.ua/"
;ISP logo url. filled ISP_NAME and ISP_URL is required
ISP_LOGO="skins/ublogo.png"

;city display in address field?
CITY_DISPLAY=1

;use 0 apartment number as private house?
ZERO_TOLERANCE=1

;hide user password
PASSWORDSHIDE=0

;hide user login
LOGINHIDE=0

;hide payments time
PAYMENTSTIMEHIDE=0

;max menu entries in menu with no icons (top by default)
MENUNOICONMAX=6


;sgconf settings 
;sgconf path 
SGCONF = /usr/sbin/sgconf
;stargazer host
STG_HOST = localhost
;sgconf port
STG_PORT = 5555
;stargazer admin login
STG_LOGIN = admin
;stargazer password
STG_PASSWD = 123456

;tariff changing options
;tariff change is enabled?
TC_ENABLED = 1
;cost of change to tariff with higher  price
TC_PRICEUP = 0
;cost of change to tariff with lower price
TC_PRICEDOWN = 25
;cost of change to tariff with same price
TC_PRICESIMILAR = 0
;set user credit for TC_PRICEUP, TC_PRICEDOWN or TC_PRICESIMILAR values if user has no money?
TC_CREDIT=1
;tariff change cash type ID for payment fees
TC_CASHTYPEID=1
;tariffs that allowed for changing by user
TC_TARIFFSALLOWED = tariff,Unlim-5
;tariffs with enabled tariff changing option
TC_TARIFFENABLEDFROM = tariff,Unlim-5
;extended move matrix directed by tariffmatrix.ini
TC_EXTENDED_MATRIX=0
;Optional option - enables tariff change "right now" feature. Do not enable it without a full understanding of the consequences!
;TC_RIGHTNOW=0

;self credit options
;is self credit enabled?
SC_ENABLED = 1
;minimal day of month for that credits possible
SC_MINDAY = 1
;maximum day of month for that credits possible
SC_MAXDAY = 3
;maximum days for credit
SC_TERM = 3
;price of this service
SC_PRICE = 5
;cash type ID for credit fees
SC_CASHTYPEID=1
;control self credit feature usage only once per month
SC_MONTHCONTROL=1
;list of tariffs allowed to use self credit, if empty - allowed all. Comma separated.
SC_TARIFFSALLOWED=""
;add price of virtual services to credit?
SC_VSCREDIT=0
;Fixes credit summs for tariffs with "day" periods. Optional option. Uncomment to enable it. 
;SC_DAILY_FIX=1
;Fixes user activity issues after crediting with MikrotikAPI driven NAS-es. Optional option. Uncomment to enable it.
;SC_MTAPI_FIX=1
;Use remoteAPI call for credit setup.
SC_REMOTE=0
;payment cards options 
;is payment cards usage enabled?
PC_ENABLED=0
;maximum attempts to incorrect serial inputs
PC_BRUTE=5
;cash type ID for card payments
PC_CASHTYPEID=1
;payment cards processing in single queue
PC_QUEUED=0
;Check series + serial number of payment cards in one field?
PC_SERIES_AND_SN=0
;Number of symbols in payment cards series.
PC_SERIES_LENGTH=4
;Use payment cards as promo codes?
PC_AS_PROMO=0

;OpenPayz support
OPENPAYZ_ENABLED=0
;OpenPayz backend URL
OPENPAYZ_URL=../openpayz/backend/
;OpenPayz systems (delimiter ",")
OPENPAYZ_PAYSYS=easypay,ipayz,fondy,tachcard,coin,mpay,ipay,copayco,liqpay,portmone,privat24,ibox,concordpay,platon
;fetch payment ID from op_customers
OPENPAYZ_REALID=1
;Following options allows to set custom payment backends icon URLs listed in OPENPAYZ_PAYSYS option. 
;Format: PAYSYS_ICON_[backend name]="[image URL]"
;Examples:
;PAYSYS_ICON_privat24="https://piclod.com/i/1747832345/qr.png"
;PAYSYS_ICON_easypay="https://piclod.com/i/1747235688/yep.jpg"

;Ticketing support
TICKETING_ENABLED=1

;speedtest module enabled
SP_ENABLED=1
;speedtest mini URL
SP_URL=https://speedtest.net/
;speedtest module now can use embedded html5 speedtest (type 1) or embedding 
;external URL (type 3) or just redirect to SP_URL (type 2)
SP_TYPE=1
;Custom speedtest dimensions. Now used only for SP_TYPE 3. Optional option.
;SP_SIZE="100%|500"

;Downloads module enabled?
ZL_ENABLED=1
;Downloads options in format icon_path|url|title - delimiter comma
ZL_OPTIONS="skins/default/iconz/chrome.png|https://is.gd/wg6BEr|Розширення для Chrome"

;account freezing enabled?
AF_ENABLED=1
;each freezing price
AF_FREEZPRICE=10
;Just a textual indicator of the period for which freezing fee is charged(e.g. month or day, or whatever)
;Keep in mind: this will not be localized and will appear "as is"
;AF_FREEZPRICE_PERIOD="day"
;tariffs with enabled freeze - delimiter comma
AF_TARIFFSALLOWED = Unlim-5
;allow freezing for any tariff
;AF_TARIFF_ALLOW_ANY=0
;cash type ID for account freezing service
AF_CASHTYPEID=1

;Show tariff speeds in user profile
SHOW_SPEED=0
;Show speed as is in Mbit/s
;SHOW_SPEED_MB=1

;Enable UBAgent/XMlAgent
UBA_ENABLED=1
;Enable additional fields for address to split city,street,buildnum
UBA_XML_ADDRESS_STRUCT=0
;Enable the ability of subscriber unfreezing via REST API. Use with GREAT CARE, as may lead to financial losses.
XMLAGENT_SELF_UNFREEZE_ALLOWED=0
;Enables writing of the REST API debugging info to WebLogs
;XMLAGENT_DEBUG_ON=0
;Enables writing of the REST API detailed debugging info to local file: 'userstats/exports/xmlagent.debug'
;XMLAGENT_DEBUG_DEEP_ON=0
;Enables additional auth usage for XMLAgent. Extended auth is based on using the current UB instance serial, just like RemoteAPI does.
;XMLAGENT_EXTENDED_AUTH_ON=1

; COUNT DAYS ONLINE LEFT:
ONLINELEFT_COUNT=0
;Possible values: days, date, mixed
ONLINELEFT_STYLE="days"
ONLINELEFT_SPREAD=0
ONLINELEFT_CREDIT=0
;Consider all user's virtual services prices when calculating online days left
;ONLINELEFT_CONSIDER_VSERVICES=0

; ROUND CASH IN PROFILE:
ROUND_PROFILE_CASH = 0

;Public offer mode - contract field will be displayed as "Public offer" with link set as parameter
;PUBLIC_OFFER=""
;Public offer custom link caption. Will not be localized and will appear "as is"
;PUBLIC_OFFER_CAPTION=""

;Document printing support
;Enable parsing of .docx documents and document printing for users
DOCX_SUPPORT=0
;document storage path
DOCX_STORAGE="../content/documents/"
;value-added tax rate percent for document templates
DOCX_NDS=20
;additional services printable within documents, separator - comma
DOCX_SERVICES="Інтернет"
;Denies generation documents by user at all.
DOCX_DENY_SELFGEN=0

;Agents additional config options similar to alter.ini
;AGENTS_ASSIGN=1
;DEFAULT_ASSIGN_AGENT=1


;Render Payment ID as QR code. May be modified by PAYMENTID_QR_STATIC and PAYMENTID_QR_PBFU_TOKEN options.
PAYMENTID_QR=0
;Static URL for payment page/interface QR as image for all users. Example: https://piclod.com/i/1747832345/qr.png
PAYMENTID_QR_STATIC=""
;Privat24 token. Enables fast privat payment URL encoding in QR if not empty.
PAYMENTID_QR_PBFU_TOKEN=""
;Encode actual user account into payment URL
PAYMENTID_QR_PBFU_ACC=1
;Encode user tariff price into payment URL
PAYMENTID_QR_PBFU_SUM=1
;Installed https://github.com/nightflyza/shortener service URL with trailing slash.
PAYMENTID_QR_PBFU_SHORTENER=""

;Announcements module is enabled?
AN_ENABLED=0

;Enables additional read/unread announcements controls.
AN_BUTTONS=1

;Enables modal announcements display
AN_MODAL=1

;Previous payments module is enabled?
PAYMENTS_ENABLED=1

;Show only positive payments, to exclude virtual services and other external charges, etc. Optional option.
;PAYMENTS_ONLYPOSITIVE=1

;Payments depth limit in months. Set to 0 to disable.
PAYMENTS_DEPTH_LIMIT=0

;Show additional virtual services in user profile?
VSERVICES_SHOW=0
;Consider virtual services periods when calculating it's cost?
;VSERVICES_CONSIDER_PERIODS=0

;Show traffic stats module?
TRAFFIC_ENABLED=1

;sms reminder enabled?
;0 - off
;1 - actual service expiration is processed and then other services are processed, according to enabled/disabled options
;2 - actual service expiration is NOT processed, ONLY other services are processed, according to enabled/disabled options
REMINDER_ENABLED=0

;sms reminder price per month
REMINDER_PRICE=1

;TAGID OF VIRTUAL SERVICE
REMINDER_TAGID=36

;Mobile number length, 10 default for UA
REMINDER_NUMBER_LENGTH=10

;Threshold when user should be reminded
REMINDER_DAYS_THRESHOLD=2

;Prefix for mobile phones, default empty
REMINDER_PREFIX="+38"

;Allow user to change his mobile number?
REMINDER_CHANGE_NUMBER=0

;do the fee on enabling reminder service
REMINDER_FEE=1

;cash type for reminder fee
REMINDER_CASHTYPEID=1

;is reminder turn off by user enabled?
;this option is used both for mobile phone, e-mail reminders and reminder type change in case if PrivatBank invoices are ON
REMINDER_TURNOFF=1

; If you use any mechanics(like OnePunches) to send E-mails to your users
; this will enable the ability to turn on and off E-mail reminder on user's personal page
; REMEBER: reminder itself doesn't support the E-mail sending. Those options below will only allow users
; to assign or deassign the tag which your script uses to gather marked users.
;REMINDER_EMAIL_ENABLED = 0
; place here the tag ID you using for your E-mail sending routine
;REMINDER_EMAIL_TAGID=444
; Enable this option to allow users to change their E-mail address
;REMINDER_EMAIL_CHANGE_ALLOWED=0


;THE ‘ENABLED’ STATE AND VALUES OF THE FOLLOWING REMINDER_* OPTIONS SHOULD CORRESPOND TO THE SAME ONES IN ALTER.INI.

;Reminder will use external mobiles
;REMINDER_USE_EXTMOBILES=0
;Consider user's credit if credit set? Modes: 0 - OFF, 1 - ON
;REMINDER_CONSIDER_CREDIT=0
;Threshold of days to remind before credit end
;REMINDER_DAYS_THRESHOLD_CREDIT=2

;Consider crime and punishment users? Modes: 0 - OFF, 1 - ON
;REMINDER_CONSIDER_CAP=0
;Threshold of days to remind before crime and punishment happens
;REMINDER_DAYS_THRESHOLD_CAP=5

;Consider users who's available freeze days running out. Works with FREEZE_DAYS_CHARGE_ENABLED only. Modes: 0 - OFF, 1 - ON
;REMINDER_CONSIDER_FROZEN=0
;Threshold of days to remind before available freeze days will run out
;REMINDER_DAYS_THRESHOLD_FROZEN=15

;Either REMINDER_PBI_ONLY_TAG_ID or REMINDER_PBI_AND_SMS_TAG_ID should be used for actual PB invoices sending
;REMINDER_PRIVATBANK_INVOICE_PUSH=0
;TagID which should be assigned to user to send PB invoices(without sending SMS)
;REMINDER_PBI_ONLY_TAG_ID=101
;TagID which should be assigned to user to send both PB invoices and SMS
;REMINDER_PBI_AND_SMS_TAG_ID=111

;Megogo integration enabled
MG_ENABLED=0

;Megogo user protection from casual subscription
MG_PROTECTION=1

;List of allowed tariffs. Leave this option empty if no restrictions. Comma separated.
MG_TARIFFSALLOWED=""

;Megogo user guide URL
MG_GUIDE_URL=""

;Ubilling Remote api options
API_URL="http://127.0.0.1/billing/"
API_KEY=""

;enable or not aditional services order
ADSERVICE_ENABLED=0
;date when to apply adservice for user. Can be: nextday, nextmonth
ADSERVICE_DATE="nextmonth"
;services which available for users order. View: "service_name1:tagid1,service_name2:tagid2"
ADSERVICE_NAMES="TV:1,PHONE:3,TEST:4"
;services cost. view: "service_name1:cost1,service_name2:cost2"
ADSERVICE_COST="TV:50,PHONE:30,TEST:1"
;custom acceptance for services, use in case you shuold show some license text for user before he will accept 
;fill like 'service_id,http link to document;service_id,http link to document'
;ADSERVICE_CUSTOM_ACCEPT="6,https://war.ukraine.ua/"

;Optional option - sets currency for DOCX_SUPPORT documents printing.
;TEMPLATE_CURRENCY=UAH

;Optional option - shows custom discounts percent if available
;CUD_SHOW=1

;Enables support of UKV users associated with inet account 
UKV_ENABLED=0

;Intro mode. 0 - disabled, 1 - showing in the bottom of user profile, 2 - showing instead menu block for login auth, 
; 3 - top of profile info, 4 - in the bottom of auth form for login auth.
INTRO_MODE=0

; Enable poll system for user
POLLS_ENABLED=0

;Display of additional mobiles in users profile
SHOW_EXT_MOBILES=1

;Are freeze days limited and count of them is enabled?
FREEZE_DAYS_CHARGE_ENABLED=0
;Amount of days initially available for user(can be individually changed from userprofile)
FREEZE_DAYS_INITIAL_AMOUNT=365
;Amount of days user has to work to get the amount of freeze days again after he spents out all his available freeze days(can be individually changed from userprofile)
FREEZE_DAYS_WORK_TO_RESTORE=120
;Allow users to freeze their services even if their balance is < 0.
FREEZE_ALLOW_ON_NEGATIVE_BALANCE=0
;Prohibit the user from taking a credit if he forgot to pay for internet after the previous credit.
;This is an additional protection option for those users which likes to take a credit every month and use the service for only a few days.
SC_HACKCONTROL=0

;OmegaTV integration enabled?
OM_ENABLED=0
;OmegaTV user protection from casual subscription
OM_PROTECTION=1
;Tariffs list denied for OmegaTV module usage. Comma separated.
OM_TARIFFSDENIED=""
;Bundle tariffs names. Comma separated. Denies manual sub/unsub actions.
OM_TARIFFSBUNDLE="Unlim-5,YobaTV"
;Maximum devices/playlists limit per subscriber.
OM_MAXDEV=3

;TrinityTV integration enabled
TRINITYTV_ENABLED=0
;TrinityTV user protection from casual subscription
TRINITYTV_PROTECTION=1
;Sell trinitytv as sweet.tv service.
SWEETTV_ENABLED=0
;Some URL with usage guide, software downloads etc.
TRINITYTV_GUIDE_URL=""
;Some URL with trinity/sweettv channel list URL.
TRINITYTV_CHANLIST_URL=""
;Disable possibility of subscription by user itself.
TRINITYTV_NOUSERSUB=0

;Enables Ishimura traffic collecting mechanics
ISHIMURA_ENABLED=0

;Old-style inline logout controls. Optional option.
INLINE_LOGOUT=0

;Is Visor-cams module enabled?
VISOR_ENABLED=0
;Clients surveillance software links. Format: icon_path|url|title - delimiter comma.
;VISOR_SOFTWARE="skins/paper/iconz/android.png|https://play.google.com/store/apps/details?id=dssl.client|Android,skins/paper/iconz/ios.png|https://apps.apple.com/us/app/trassir-client/id722762165|iOS,skins/paper/iconz/windows.png|http://ubilling.net.ua/visor/Trassir-4.1.1112540-client.exe|Windows,skins/paper/iconz/macos.png|https://apps.apple.com/ru/app/trassir-client/id1277151643|MacOS"

;Display debug timing/query counters for each rendered page. Optional option.
DEBUG_COUNTERS=0

;Allow users change password. This option hide current pass
PASSWORD_CHANGE=0

;Is ProstoTV OTT service enabled?
PROSTOTV_ENABLED=0

;Is insurance subsystem enabled?
INSURANCE_ENABLED=0

;Your Telegram bot username. Something like UbillingFeedbackDemoBot or YourSupportBot for example. Live empty to disable.
TG_BOTNAME=""
;Show QR code for bot in user profile? Requires TG_BOTNAME option to be set.
TG_BOT_QR=0

;Is YouTV OTT service enabled?
YOUTV_ENABLED=0
YOUTV_PROTECTION=1

;Is OllTV OTT service enabled?
OLLTV_ENABLED=0

;Is power tariffs enabled?
POWERTARIFFS_ENABLED=0

;Power tariffs maximum day of month which will be rounded to 1st.
POWERTARIFFS_MAXDAY=26

;Is aerial alerts enabled? Requires API_URL and API_KEY options set.
AIR_RAID_ALERT_ENABLED=0

;Is OphanimFlow integration enabled?
OPHANIM_ENABLED=0

;Web application custom name
WA_NAME=""
;Web application custom icons URLs, 192x192 and 512x512 png required
WA_ICON_192=""
WA_ICON_512=""

;Custom AFU supporting URL, something like https://savelife.in.ua/donate/ or https://ubilling.net.ua/rds/defense/ (default)
AFU_URL=""

;disables defense donations reminder
IM_JUST_PIDAR=0

;Visor settings displays extended DVR info.
VISOR_DVR_FULL=1

;Just hides email field from user profile.
HIDE_EMAIL=0

;Allows to override tariffs prices. Format: "tariffName1:description1,tariffName2:description2"
TARIFF_APOCRYPHA=""
;Enables lookup of scheduled tariffs changes in user profile.
TARIFF_DEALWITHIT_LOOKUP=0

